App\Library\Amazon\Classes\GiftCard\ProductTypeAType\GiftCardAType:
    properties:
        itemDisplayHeight:
            expose: true
            access_type: public_method
            serialized_name: ItemDisplayHeight
            accessor:
                getter: getItemDisplayHeight
                setter: setItemDisplayHeight
            type: App\Library\Amazon\Classes\LengthDimensionType
        itemDisplayLength:
            expose: true
            access_type: public_method
            serialized_name: ItemDisplayLength
            accessor:
                getter: getItemDisplayLength
                setter: setItemDisplayLength
            type: App\Library\Amazon\Classes\LengthDimensionType
        itemDisplayWeight:
            expose: true
            access_type: public_method
            serialized_name: ItemDisplayWeight
            accessor:
                getter: getItemDisplayWeight
                setter: setItemDisplayWeight
            type: App\Library\Amazon\Classes\WeightDimensionType
        itemDisplayWidth:
            expose: true
            access_type: public_method
            serialized_name: ItemDisplayWidth
            accessor:
                getter: getItemDisplayWidth
                setter: setItemDisplayWidth
            type: App\Library\Amazon\Classes\LengthDimensionType
